package com.ruoyi.bst.attach.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.ValidGroup;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 资源对象 bst_attach
 *
 * @author ruoyi
 * @date 2025-02-12
 */
@Data
public class Attach extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "分类ID")
    @ApiModelProperty("分类ID")
    @NotNull(message = "分类ID不能为空", groups = {ValidGroup.Create.class})
    private Long classifyId;

    @Excel(name = "名称")
    @ApiModelProperty("名称")
    @Size(max = 200, message = "名称长度不能超过200个字符", groups = {ValidGroup.Create.class})
    private String name;

    @Excel(name = "URL")
    @ApiModelProperty("URL")
    @NotBlank(message = "资源不能为空", groups = {ValidGroup.Create.class})
    private String url;

    @Excel(name = "创建人")
    @ApiModelProperty("创建人")
    private Long createId;

    @Excel(name = "所属部门")
    @ApiModelProperty("所属部门")
    private Long deptId;

}
