package com.ruoyi.bst.attach.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.attach.domain.Attach;
import com.ruoyi.bst.attach.domain.AttachQuery;
import com.ruoyi.bst.attach.domain.AttachVO;

/**
 * 资源Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-12
 */
public interface AttachMapper
{
    /**
     * 查询资源
     *
     * @param id 资源主键
     * @return 资源
     */
    AttachVO selectAttachById(Long id);

    /**
     * 查询资源列表
     *
     * @param query 资源
     * @return 资源集合
     */
    List<AttachVO> selectAttachList(@Param("query")AttachQuery query);

    /**
     * 新增资源
     *
     * @param attach 资源
     * @return 结果
     */
    int insertAttach(Attach attach);

    /**
     * 批量新增资源
     */
    int batchInsert(@Param("list") List<? extends Attach> list);

    /**
     * 批量修改资源
     */
    int batchUpdate(@Param("list") List<? extends Attach> list);

    /**
     * 修改资源
     *
     * @param attach 资源
     * @return 结果
     */
    public int updateAttach(@Param("data") Attach attach);

    /**
     * 删除资源
     *
     * @param id 资源主键
     * @return 结果
     */
    int deleteAttachById(Long id);

    /**
     * 批量删除资源
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAttachByIds(Long[] ids);

    /**
     * 逻辑删除资源
     *
     * @param ids 资源主键
     * @return 结果
     */
    int logicDel(@Param("ids") List<Long> ids);
}
