package com.ruoyi.bst.attachClassify.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.attachClassify.domain.AttachClassify;
import com.ruoyi.bst.attachClassify.domain.AttachClassifyQuery;
import com.ruoyi.bst.attachClassify.domain.AttachClassifyVO;
import com.ruoyi.bst.attachClassify.domain.vo.AttachClassifyNameVO;

/**
 * 资源分类Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-12
 */
public interface AttachClassifyMapper
{
    /**
     * 查询资源分类
     *
     * @param id 资源分类主键
     * @return 资源分类
     */
    AttachClassifyVO selectAttachClassifyById(Long id);

    /**
     * 查询资源分类列表
     *
     * @param query 资源分类
     * @return 资源分类集合
     */
    List<AttachClassifyVO> selectAttachClassifyList(@Param("query")AttachClassifyQuery query);

    /**
     * 新增资源分类
     *
     * @param attachClassify 资源分类
     * @return 结果
     */
    int insertAttachClassify(AttachClassify attachClassify);

    /**
     * 修改资源分类
     *
     * @param attachClassify 资源分类
     * @return 结果
     */
    public int updateAttachClassify(@Param("data") AttachClassify attachClassify);

    /**
     * 删除资源分类
     *
     * @param id 资源分类主键
     * @return 结果
     */
    int deleteAttachClassifyById(Long id);

    /**
     * 批量删除资源分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAttachClassifyByIds(Long[] ids);

    /**
     * 查询资源分类名称列表
     *
     * @param query 资源分类查询
     * @return 资源分类名称列表
     */
    List<AttachClassifyNameVO> selectNameList(@Param("query") AttachClassifyQuery query);

    /**
     * 查询子分类
     * 
     * @param classifyId 分类ID
     * @return 子分类列表
     */
    List<AttachClassifyVO> selectChildrenById(Long classifyId);

    /**
     * 批量更新子分类的祖级列表
     * 
     * @param children 子分类列表
     * @return 结果
     */
    int updateChildrenAncestors(List<AttachClassifyVO> children);

    /**
     * 查询资源分类数量
     * 
     * @param query 资源分类查询
     * @return 资源分类数量
     */
    int selectCount(@Param("query") AttachClassifyQuery query);

    /**
     * 逻辑删除资源分类
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicDel(@Param("ids") List<Long> ids);
}
