package com.ruoyi.bst.attachClassify.service;

import java.util.List;

import com.ruoyi.bst.attachClassify.domain.AttachClassify;
import com.ruoyi.bst.attachClassify.domain.AttachClassifyQuery;
import com.ruoyi.bst.attachClassify.domain.AttachClassifyVO;
import com.ruoyi.bst.attachClassify.domain.vo.AttachClassifyNameVO;

/**
 * 资源分类Service接口
 *
 * @author ruoyi
 * @date 2025-02-12
 */
public interface AttachClassifyService
{
    /**
     * 查询资源分类
     *
     * @param id 资源分类主键
     * @return 资源分类
     */
    public AttachClassifyVO selectAttachClassifyById(Long id);

    /**
     * 查询资源分类列表
     *
     * @param attachClassify 资源分类
     * @return 资源分类集合
     */
    public List<AttachClassifyVO> selectAttachClassifyList(AttachClassifyQuery attachClassify);

    /**
     * 新增资源分类
     *
     * @param attachClassify 资源分类
     * @return 结果
     */
    public int insertAttachClassify(AttachClassify attachClassify);

    /**
     * 修改资源分类
     *
     * @param attachClassify 资源分类
     * @return 结果
     */
    public int updateAttachClassify(AttachClassify attachClassify);

    /**
     * 批量删除资源分类
     *
     * @param ids 需要删除的资源分类主键集合
     * @return 结果
     */
    public int logicDel(List<Long> ids);

    /**
     * 查询全部资源分类名称
     *
     * @return 资源分类名称集合
     */
    List<AttachClassifyNameVO> selectAllNameList();
}
