package com.ruoyi.bst.message.service;

import java.util.List;

import com.ruoyi.bst.message.domain.Message;
import com.ruoyi.bst.message.domain.MessageQuery;
import com.ruoyi.bst.message.domain.MessageVO;

/**
 * 消息Service接口
 *
 * @author ruoyi
 * @date 2025-02-22
 */
public interface MessageService
{
    /**
     * 查询消息
     *
     * @param id 消息主键
     * @return 消息
     */
    public MessageVO selectMessageById(Long id);

    /**
     * 查询消息列表
     *
     * @param message 消息
     * @return 消息集合
     */
    public List<MessageVO> selectMessageList(MessageQuery message);

    /**
     * 新增消息
     *
     * @param message 消息
     * @return 结果
     */
    public int insertMessage(Message message);

    /**
     * 修改消息
     *
     * @param message 消息
     * @return 结果
     */
    public int updateMessage(Message message);

    /**
     * 批量删除消息
     *
     * @param ids 需要删除的消息主键集合
     * @return 结果
     */
    public int deleteMessageByIds(Long[] ids);

    /**
     * 删除消息信息
     *
     * @param id 消息主键
     * @return 结果
     */
    public int deleteMessageById(Long id);

    /**
     * 消息已读
     * @param userId
     * @param id
     * @return
     */
    public int read(Long userId, Long id);

    /**
     * 查询未读消息数量
     * @param query
     * @return
     */
    public int selectCount(MessageQuery query);

    /**
     * 批量插入消息
     * @param list
     * @return
     */
    public int batchInsert(List<Message> list);
}
