package com.ruoyi.bst.notice.domain;

import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.constant.DictType;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.ValidGroup;
import com.ruoyi.system.valid.DictValid;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 公告对象 bst_notice
 *
 * @author ruoyi
 * @date 2025-02-10
 */
@Data
public class Notice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "标题")
    @ApiModelProperty("标题")
    @NotBlank(message = "标题不能为空", groups = {ValidGroup.Create.class})
    @Size(max = 50, message = "标题长度不能超过50个字符")
    private String title;

    @Excel(name = "内容")
    @ApiModelProperty("内容")
    private String content;

    @Excel(name = "创建人ID")
    @ApiModelProperty("创建人ID")
    private Long userId;

    @Excel(name = "重要程度", readConverterExp = "1=-一般,2=-重要,3=-紧急")
    @ApiModelProperty("重要程度")
    @NotBlank(message = "重要程度不能为空", groups = {ValidGroup.Create.class})
    @DictValid(type = DictType.NOTICE_LEVEL, message = "非法的重要程度值")
    private String level;

    @Excel(name = "附件列表")
    @ApiModelProperty("附件列表")
    private String attaches;

    @Excel(name = "是否置顶")
    @ApiModelProperty("是否置顶")
    @NotNull(message = "是否置顶不能为空", groups = {ValidGroup.Create.class})
    private Boolean top;

    @Excel(name = "接收用户ID列表")
    @ApiModelProperty("接收用户ID列表")
    private List<Long> receiveUserIds;

    @Excel(name = "接收部门ID列表")
    @ApiModelProperty("接收部门ID列表")
    private List<Long> receiveDeptIds;

}
