package com.ruoyi.bst.notice.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.notice.domain.Notice;
import com.ruoyi.bst.notice.domain.NoticeQuery;
import com.ruoyi.bst.notice.domain.NoticeVO;

/**
 * 公告Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-10
 */
public interface NoticeMapper
{
    /**
     * 查询公告
     *
     * @param id 公告主键
     * @return 公告
     */
    NoticeVO selectNoticeById(Long id);

    /**
     * 查询公告列表
     *
     * @param query 公告
     * @return 公告集合
     */
    List<NoticeVO> selectNoticeList(@Param("query")NoticeQuery query);

    /**
     * 新增公告
     *
     * @param notice 公告
     * @return 结果
     */
    int insertNotice(Notice notice);

    /**
     * 修改公告
     *
     * @param notice 公告
     * @return 结果
     */
    public int updateNotice(@Param("data") Notice notice);

    /**
     * 删除公告
     *
     * @param id 公告主键
     * @return 结果
     */
    int deleteNoticeById(Long id);

    /**
     * 批量删除公告
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNoticeByIds(Long[] ids);
}
