package com.ruoyi.bst.notice.service;

import java.util.List;

import com.ruoyi.bst.notice.domain.Notice;
import com.ruoyi.bst.notice.domain.NoticeQuery;
import com.ruoyi.bst.notice.domain.NoticeVO;
import com.ruoyi.common.annotation.DataScope;

/**
 * 公告Service接口
 *
 * @author ruoyi
 * @date 2025-02-10
 */
public interface NoticeService
{
    /**
     * 查询公告
     *
     * @param id 公告主键
     * @return 公告
     */
    public NoticeVO selectNoticeById(Long id);

    /**
     * 查询公告列表
     *
     * @param notice 公告
     * @return 公告集合
     */
    public List<NoticeVO> selectNoticeList(NoticeQuery notice);

    /**
     * 新增公告
     *
     * @param notice 公告
     * @return 结果
     */
    public int insertNotice(Notice notice);

    /**
     * 修改公告
     *
     * @param notice 公告
     * @return 结果
     */
    public int updateNotice(Notice notice);

    /**
     * 批量删除公告
     *
     * @param ids 需要删除的公告主键集合
     * @return 结果
     */
    public int deleteNoticeByIds(Long[] ids);

    /**
     * 删除公告信息
     *
     * @param id 公告主键
     * @return 结果
     */
    public int deleteNoticeById(Long id);

    @DataScope(deptSetAlias = "bn.receive_dept_ids", userAlias = "bn.user_id", userSetAlias = "bn.receive_user_ids")
    default List<NoticeVO> selectNoticeListScope(NoticeQuery query) {
        return this.selectNoticeList(query);
    }
}
