package com.ruoyi.bst.project.service.impl;

import java.math.BigDecimal;

import org.springframework.stereotype.Service;

import com.ruoyi.bst.project.domain.Project;
import com.ruoyi.bst.project.domain.enums.ProjectStatus;
import com.ruoyi.bst.project.service.ProjectConverter;
import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.common.utils.SecurityUtils;

@Service
public class ProjectConverterImpl implements ProjectConverter {

    @Override
    public Project toPoByCreate(Project data) {
        if (data == null) {
            return null;
        }

        LoginUser loginUser = SecurityUtils.getLoginUser();

        Project po = new Project();
        po.setName(data.getName());
        po.setExpireTime(data.getExpireTime());
        po.setOwnerId(data.getOwnerId());
        po.setFollowId(data.getFollowId());
        po.setAmount(data.getAmount());
        po.setReceivedAmount(data.getReceivedAmount());
        po.setStatus(ProjectStatus.WAIT_START.getStatus());
        po.setReceivedAmount(BigDecimal.ZERO);
        po.setAttaches(data.getAttaches());
        po.setCustomerId(data.getCustomerId());
        po.setRemark(data.getRemark());
        po.setCreateId(loginUser.getUserId());
        po.setMemberIds(data.getMemberIds());
        return po;
    }

    @Override
    public Project toPoByUpdate(Project data) {
        if (data == null) {
            return null;
        }

        Project po = new Project();
        po.setId(data.getId());
        po.setName(data.getName());
        po.setExpireTime(data.getExpireTime());
        po.setOwnerId(data.getOwnerId());
        po.setFollowId(data.getFollowId());
        po.setAmount(data.getAmount());
        po.setReceivedAmount(data.getReceivedAmount());
        po.setAttaches(data.getAttaches());
        po.setCustomerId(data.getCustomerId());
        po.setRemark(data.getRemark());
        po.setMemberIds(data.getMemberIds());
        
        return po;
    }



}
