package com.ruoyi.bst.project.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.project.domain.ProjectQuery;
import com.ruoyi.bst.project.domain.ProjectVO;
import com.ruoyi.bst.project.service.ProjectService;
import com.ruoyi.bst.project.service.ProjectValidator;
import com.ruoyi.common.utils.ServiceUtil;
import com.ruoyi.common.utils.StringUtils;

@Service
public class ProjectValidatorImpl implements ProjectValidator {
    
    @Autowired
    private ProjectService projectService;

    @Override
    public void validate(ProjectVO vo) {
        ServiceUtil.assertion(vo == null, "项目信息不存在");
        
        // 校验项目编号
        ServiceUtil.assertion(!this.isUniqueNo(vo.getId(),vo.getNo()), "编号为%s的项目已存在", vo.getNo());
    }
    
    /**
     * 项目编号是否唯一
     */
    private boolean isUniqueNo(Long id, String no) {
        if (StringUtils.isBlank(no)) {
            return true;
        }

        ProjectQuery query = new ProjectQuery();
        query.setEqNo(no);
        query.setExcludeId(id);
        return projectService.selectCount(query) == 0;
    }
}

