package com.ruoyi.bst.task.service;

import com.ruoyi.bst.task.domain.TaskVO;

public interface TaskValidator {

    /**
     * 校验用户是否能提交任务
     * @param id 任务ID
     * @param userId 用户ID
     * @return 是否能提交
     */
    boolean allowSubmit(Long id, Long userId);

    /**
     * 校验用户是否能开始任务
     * @param id 任务ID
     * @param userId 用户ID
     * @return 是否能开始
     */
    boolean allowStart(Long id, Long userId);

    /**
     * 校验任务
     * @param vo 任务VO
     */
    void validate(TaskVO vo);
    
}
