package com.ruoyi.bst.task.service.impl;

import org.springframework.stereotype.Service;

import com.ruoyi.bst.task.domain.Task;
import com.ruoyi.bst.task.domain.enums.TaskStatus;
import com.ruoyi.bst.task.service.TaskConverter;
import com.ruoyi.common.utils.SecurityUtils;

/**
 * @author wjh
 * 2025/1/22
 */
@Service
public class TaskConverterImpl implements TaskConverter {

    @Override
    public Task toPoByCreate(Task data) {
        if (data == null) {
            return null;
        }
        Task po = new Task();
        po.setProjectId(data.getProjectId());
        po.setType(data.getType());
        po.setStatus(TaskStatus.PROCESSING.getStatus());
        po.setLevel(data.getLevel());
        po.setPicture(data.getPicture());
        po.setCreateId(SecurityUtils.getUserId());
        po.setExpireTime(data.getExpireTime());
        po.setOwnerIds(data.getOwnerIds());
        po.setDescription(data.getDescription());
        return po;
    }

    @Override
    public Task toPoByUpdate(Task data) {
        if (data == null) {
            return null;
        }
        Task po = new Task();
        po.setId(data.getId());
        po.setProjectId(data.getProjectId());
        po.setType(data.getType());
        po.setLevel(data.getLevel());
        po.setPicture(data.getPicture());
        po.setExpireTime(data.getExpireTime());
        po.setOwnerIds(data.getOwnerIds());
        po.setDescription(data.getDescription());

        return po;
    }
}
