package com.ruoyi.bst.taskSubmit.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.taskSubmit.domain.TaskSubmit;
import com.ruoyi.bst.taskSubmit.domain.TaskSubmitQuery;
import com.ruoyi.bst.taskSubmit.domain.TaskSubmitVO;
import com.ruoyi.common.vo.LongIntegerVO;

/**
 * 任务提交记录Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-08
 */
public interface TaskSubmitMapper
{
    /**
     * 查询任务提交记录
     *
     * @param id 任务提交记录主键
     * @return 任务提交记录
     */
    TaskSubmitVO selectTaskSubmitById(Long id);

    /**
     * 查询任务提交记录列表
     *
     * @param query 任务提交记录
     * @return 任务提交记录集合
     */
    List<TaskSubmitVO> selectTaskSubmitList(@Param("query")TaskSubmitQuery query);

    /**
     * 新增任务提交记录
     *
     * @param taskSubmit 任务提交记录
     * @return 结果
     */
    int insertTaskSubmit(TaskSubmit taskSubmit);

    /**
     * 修改任务提交记录
     *
     * @param taskSubmit 任务提交记录
     * @return 结果
     */
    public int updateTaskSubmit(@Param("data") TaskSubmit taskSubmit);

    /**
     * 删除任务提交记录
     *
     * @param id 任务提交记录主键
     * @return 结果
     */
    int deleteTaskSubmitById(Long id);

    /**
     * 批量删除任务提交记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTaskSubmitByIds(Long[] ids);

    /**
     * 根据条件更新任务提交记录
     * @param data 任务提交记录
     * @param query 条件
     * @return 结果
     */
    int updateByQuery(@Param("data") TaskSubmit data, @Param("query") TaskSubmitQuery query);

    /**
     * 根据任务ID分组统计提交数量
     * @param query 查询条件
     * @return 任务ID和对应的提交数量
     */
    List<LongIntegerVO> selectCountGroupByTaskId(@Param("query") TaskSubmitQuery query);
}
