package com.ruoyi.bst.verify.service;

import java.util.List;

import com.ruoyi.bst.verify.domain.Verify;
import com.ruoyi.bst.verify.domain.VerifyQuery;
import com.ruoyi.bst.verify.domain.VerifyVO;
import com.ruoyi.bst.verify.domain.enums.VerifyBstType;

/**
 * 审核Service接口
 *
 * @author ruoyi
 * @date 2025-02-08
 */
public interface VerifyService
{
    /**
     * 查询审核
     *
     * @param id 审核主键
     * @return 审核
     */
    public VerifyVO selectVerifyById(Long id);

    /**
     * 查询审核列表
     *
     * @param verify 审核
     * @return 审核集合
     */
    public List<VerifyVO> selectVerifyList(VerifyQuery verify);

    /**
     * 新增审核
     *
     * @param verify 审核
     * @return 结果
     */
    public int insertVerify(Verify verify);

    /**
     * 修改审核
     *
     * @param verify 审核
     * @return 结果
     */
    public int updateVerify(Verify verify);

    /**
     * 批量删除审核
     *
     * @param ids 需要删除的审核主键集合
     * @return 结果
     */
    public int logicDel(List<Long> ids);

    /**
     * 根据业务ID查询审核列表
     * @param bstType 业务类型
     * @param bstIds 业务ID列表
     * @return 审核列表
     */
    public List<VerifyVO> selectListByBstIds(VerifyBstType bstType, List<Long> bstIds);

}
