package com.ruoyi.dashboard.customer.service;

import java.time.LocalDate;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.customer.domain.CustomerQuery;
import com.ruoyi.bst.customer.service.CustomerService;
import com.ruoyi.common.vo.StringIntegerVO;
import com.ruoyi.dashboard.customer.mapper.DashboardCustomerMapper;
import com.ruoyi.dashboard.index.domain.brief.CustomerBriefVO;

@Service
public class DashboardCustomerService {

    @Autowired
    private CustomerService customerService;

    @Autowired
    private DashboardCustomerMapper dashboardCustomerMapper;

    public CustomerBriefVO selectCustomerBrief(CustomerQuery query) {
        List<StringIntegerVO> customerMap = customerService.selectCountGroupByStatus(query);
        CustomerBriefVO customerBriefVO = new CustomerBriefVO(customerMap);
        // 今日新增客户
        customerBriefVO.setToday(this.selectTodayCustomerCount(query));
        return customerBriefVO;
    }


    /**
     * 查询今日新增客户数
     * @return
     */
    private int selectTodayCustomerCount(CustomerQuery query) {
        query.setCreateDate(LocalDate.now());
        return customerService.selectCount(query);
    }
}
