package com.ruoyi.dashboard.index.domain.brief;

import java.util.List;

import com.ruoyi.bst.customer.domain.enums.CustomerStatus;
import com.ruoyi.common.vo.StringIntegerVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class CustomerBriefVO {

    @ApiModelProperty("客户总数")
    private Integer total;

    @ApiModelProperty("今日新增客户数")
    private Integer today;

    @ApiModelProperty("潜在客户")
    private Integer potential;

    @ApiModelProperty("意向客户")
    private Integer intention;

    @ApiModelProperty("已成交")
    private Integer transaction;

    @ApiModelProperty("失效客户")
    private Integer invalid;

    public CustomerBriefVO(List<StringIntegerVO> statusMap) {
        this.potential = statusMap.stream()
                .filter(vo -> CustomerStatus.POTENTIAL.getStatus().equals(vo.getKey()))
                .findFirst().map(StringIntegerVO::getValue).orElse(0);

        this.intention = statusMap.stream()
                .filter(vo -> CustomerStatus.INTENTION.getStatus().equals(vo.getKey()))
                .findFirst().map(StringIntegerVO::getValue).orElse(0);

        this.transaction = statusMap.stream()
                .filter(vo -> CustomerStatus.TRANSACTION.getStatus().equals(vo.getKey()))
                .findFirst().map(StringIntegerVO::getValue).orElse(0);

        this.invalid = statusMap.stream()
                .filter(vo -> CustomerStatus.INVALID.getStatus().equals(vo.getKey()))
                .findFirst().map(StringIntegerVO::getValue).orElse(0);

        this.total = statusMap.stream().map(map -> map.getValue()).reduce(0, Integer::sum);
    }
}
