package com.ruoyi.task;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.ruoyi.bst.project.domain.ProjectQuery;
import com.ruoyi.bst.project.service.ProjectService;

import lombok.extern.slf4j.Slf4j;

@Component
@Slf4j
public class ProjectTask {
    
    @Autowired
    private ProjectService projectService;

    /**
     * 处理超出开发时间还未完成开发的项目，并打上超期标识
     */
    public void handleDevOverdueProject() {
        int rows = projectService.handleDevOverdueProject(new ProjectQuery());
        log.info("处理超出开发时间还未完成开发的项目，并打上超期标识，共处理{}条数据", rows);
    }

    /**
     * 处理维护超期的项目，并打上超期标识
     */
    public void handleMaintenanceOverdueProject() {
        int rows = projectService.handleMaintenanceOverdueProject(new ProjectQuery());
        log.info("处理维护超期的项目，并打上超期标识，共处理{}条数据", rows);
    }
}
