package com.ruoyi.web.app;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.PageHelper;
import com.ruoyi.bst.message.domain.MessageQuery;
import com.ruoyi.bst.message.domain.MessageVO;
import com.ruoyi.bst.message.service.MessageService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;

import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/app/message")
public class AppMessageController extends BaseController {

    @Autowired
    private MessageService messageService;

    @ApiOperation("获取本人接收的消息列表")
    @GetMapping("/receiveList")
    public TableDataInfo receiveList(MessageQuery query) {
        startPage();
        PageHelper.orderBy("is_read asc, create_time desc");
        query.setUserId(getUserId());
        List<MessageVO> list = messageService.selectMessageList(query);
        return getDataTable(list);
    }

    @ApiOperation("消息已读，id为空时，则将本人所有未读消息设置为已读")
    @PostMapping("/read")
    public AjaxResult read(@RequestParam(required = false) Long id) {
        return success(messageService.read(getUserId(), id));
    }

    @ApiOperation("查询本人未读消息数量")
    @GetMapping("/unreadCount")
    public AjaxResult unreadCount() {
        MessageQuery query = new MessageQuery();
        query.setUserId(getUserId());
        query.setIsRead(false);
        return success(messageService.selectCount(query));
    }
}
