package com.ruoyi.web.dashboard;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.bst.customer.domain.CustomerQuery;
import com.ruoyi.bst.customer.service.CustomerService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.common.vo.LocalDateIntegerVO;
import com.ruoyi.dashboard.customer.service.DashboardCustomerService;

@RestController
@RequestMapping("/dashboard/customer")
public class DashboardCustomerController extends BaseController {
    
    @Autowired
    private DashboardCustomerService dashboardCustomerService;

    @Autowired
    private CustomerService customerService;

    // 查询每日创建客户统计
    @GetMapping("/dailyCreateCount")
    public AjaxResult dailyCreateCount(CustomerQuery query) {
        List<LocalDateIntegerVO> list = customerService.selectDailyCreateCount(query);

        if (query.getCreateDateRange() != null && query.getCreateDateRange().size() > 1) {
            list = CollectionUtils.fillVoids(list, LocalDateIntegerVO::getKey, (date) -> {
                LocalDateIntegerVO vo = new LocalDateIntegerVO();
                vo.setKey(date);
                vo.setValue(0);
                return vo;
            }, query.getCreateDateRange().get(0), query.getCreateDateRange().get(1));
        }

        return success(list);
    }

}
